#!/usr/bin/env bash
# Wed 21 Sep 2016 13:08:05 CEST

source $(dirname ${0})/functions.sh

run_cmd ${CONDA_FOLDER}/bin/conda install --override-channels -c defaults -n root --yes --quiet conda=4 conda-build=3
run_cmd ${CONDA_FOLDER}/bin/conda config --set always_yes yes --set changeps1 no
run_cmd ${CONDA_FOLDER}/bin/conda config --set show_channel_urls true
run_cmd ${CONDA_FOLDER}/bin/conda config --set add_pip_as_python_dependency False
run_cmd ${CONDA_FOLDER}/bin/conda config --set anaconda_upload no
run_cmd ${CONDA_FOLDER}/bin/conda clean --lock
run_cmd cp _ci/conda_build_config.yaml conda/
run_cmd ${CONDA_FOLDER}/bin/conda info

run_cmd mkdir -p ./_ci/${OS_SLUG}/${PYTHON_VERSION}

if [ -z "${CI_COMMIT_TAG}" ]; then
  run_cmd ${CONDA_FOLDER}/bin/python _ci/channel_support.py ${CONDA_BETA_CHANNEL} ${CI_PROJECT_NAME} ${BOB_PACKAGE_VERSION} ${PYTHON_VERSION} -u --log ./_ci/${OS_SLUG}/${PYTHON_VERSION}/build_number.txt
else
  run_cmd ${CONDA_FOLDER}/bin/python _ci/channel_support.py ${CONDA_CHANNEL} ${CI_PROJECT_NAME} ${BOB_PACKAGE_VERSION} ${PYTHON_VERSION} -u --log ./_ci/${OS_SLUG}/${PYTHON_VERSION}/build_number.txt

fi

BOB_BUILD_NUMBER=`head -n 1 ./_ci/${OS_SLUG}/${PYTHON_VERSION}/build_number.txt | tr -d '\n'`
export_env BOB_BUILD_NUMBER

if [ -z "${CI_COMMIT_TAG}" ]; then
    run_cmd ${CONDA_FOLDER}/bin/conda build --override-channels -c ${CONDA_BETA_CHANNEL} -c ${CONDA_CHANNEL} -c defaults --python=${PYTHON_VERSION} conda
else
    run_cmd ${CONDA_FOLDER}/bin/conda build --override-channels -c ${CONDA_CHANNEL} -c defaults --python=${PYTHON_VERSION} conda
fi

# Copy the .tar.bz2 and urls.txt
merge_conda_cache ${CONDA_ENVS_PATH}/.pkgs ${CONDA_FOLDER}/pkgs
